/*
 * File         : AppData.java
 * Author       : Tomasz Stachowiak
 * Created      : Wed Jun 18 18:19:41 1997
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

import java.sql.*;

class AppData {

  String host;
  String file;
  String format;

  NCSdatabase db;

  public AppData(NCSdatabase database) {

    db = database;

  }

  
  public AppData(NCSdatabase database, String h, String f, String fmt) {

    db = database;

    host = h;
    file = f;
    format = fmt;
  }
  

  public void store(Session ses, Application app, Participant part) {

    String sql = " INSERT INTO data VALUES ("+
      ses.getID()+",'"+app.name+"','"+part.id+"','"+part.host+"','"
      +host+"','"+file+"','"+format+"')";

    db.updateSQL(sql);
  }


  public void retrieve(ResultSet rs) throws SQLException {
    
    host = rs.getString("host");
    file = rs.getString("file");
    format = rs.getString("format");

  }

}
